/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

define(["dojo/_base/array",
		"dojo/_base/kernel",
		"dojo/_base/sniff", 
		"dojo/_base/window"], 
		function(array, lang, has, win){
	
	var pbase = lang.getObject("com.ibm.mobile.phonegapshow.pbase", true);
	pbase.isIPhone = has("iphone");
	pbase.isIPad = has("ipad");
	pbase.isWebOS = has("webos");
	pbase.isAndroid = has("android");
	
	/*
	 * parse url parameter to get the device parameter if any. Temporarily use hard
	 * coded values. We can change to use dojo.hash in the future.
	 */
	var search = win.global.location.search;
	if (search && search.length > 1) {
		var queryPairs = search.substr(1).split("&");
		array.forEach(queryPairs, function(pairStr) {
			var query = pairStr.split("=");
			if (query[0] === "theme" && query[1]) {
				// overwrite the agent detection result
				switch (query[1].toLowerCase()) {
				case "iphone":
					pbase.isIPhone = true;
					pbase.isWebOS = false;
					pbase.isAndroid = false;
					break;
				case "android":
					pbase.isIPhone = false;
					pbase.isWebOS = false;
					pbase.isAndroid = true;
					break;
				case "webos":
					pbase.isIPhone = false;
					pbase.isWebOS = true;
					pbase.isAndroid = false;
					break;
				};
			};
		});
	}
	return pbase;
});